function rasverA
m=2147483647;
a=630360016;
n=1000;
e(1)=2000000;
A=20;
S=30;
p=0;

for i=1:n
e(i+1)=mod(a*e(i),m);
end;
e=e/m; 

b=A;
for i=1:n
    xA=-b*log(1-e); %массив значений с которым мы работаем
end;

%------Гипотеза-------------
ma=max(xA);
mi=min(xA);
k=20%колличество интервалов
dx=(ma-mi)/k%определение ширины интервала

int(1)=dx;
for i=1:k
   int(i+1)=int(i)+dx;%массив границ интервалов
end;
data=xA;
intervals=int;
h=histc(data,intervals);%определение колличества значений попавших в интервал(массив)
f=h/n;
for i=1:k
    p(i)=0;
end;
for i=1:k
    p(i+1)=p(i)+exp((-int(i))/b)-exp(-int(i+1)/b)%цикл вычисляющий значения вероятностей P(i)
end;
hF=figure('Name','Расперделение вероятности А');
for i=1:k-1
    line([int(i) int(i+1)],[p(i),p(i)],'LineWidth',2)
end;
hold on;    



